# Uses of Interface
net.shibboleth.idp.saml.xmlobject.Scope

Packages that use Scope
Package
Description
net.shibboleth.idp.saml.metadata.impl
This package contains such class definitions as are needed to bridge between the relying-party.xml schema and OpenSAML.
net.shibboleth.idp.saml.xmlobject.impl
Implementations of the SAML XMLObject extensions.

## Uses of Scope in net.shibboleth.idp.saml.metadata.impl

Fields in net.shibboleth.idp.saml.metadata.impl declared as Scope
Modifier and Type
Field
Description
`private final Scope`
ScopeFilter.`guardObject`
Stand-in value for an empty collection.
Fields in net.shibboleth.idp.saml.metadata.impl with type parameters of type Scope
Modifier and Type
Field
Description
`private Multimap<Predicate<EntityDescriptor>,Scope>`
ScopeFilter.`applyMap`
Rules for adding scopes.
Method parameters in net.shibboleth.idp.saml.metadata.impl with type arguments of type Scope
Modifier and Type
Method
Description
`void`
ScopeFilter.`setRules(Map<Predicate<EntityDescriptor>,Collection<Scope>> rules)`
Set the mappings from `Predicate` to Scope collection to apply.

## Uses of Scope in net.shibboleth.idp.saml.xmlobject.impl

Classes in net.shibboleth.idp.saml.xmlobject.impl that implement Scope
Modifier and Type
Class
Description
`class`
`ScopeImpl`
Implementation of `Scope`.
Methods in net.shibboleth.idp.saml.xmlobject.impl that return Scope
Modifier and Type
Method
Description
`Scope`
ScopeBuilder.`buildObject()`
Build a Scope element with the default namespace prefix and element name.
`Scope`
ScopeBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`